import request from '@/utils/request'

// 查询分成退款记录列表
export function listBonusRefund(query) {
  return request({
    url: '/ss/bonusRefund/list',
    method: 'get',
    params: query
  })
}

// 查询分成退款记录详细
export function getBonusRefund(id) {
  return request({
    url: '/ss/bonusRefund/' + id,
    method: 'get'
  })
}

// 新增分成退款记录
export function addBonusRefund(data) {
  return request({
    url: '/ss/bonusRefund',
    method: 'post',
    data: data
  })
}

// 修改分成退款记录
export function updateBonusRefund(data) {
  return request({
    url: '/ss/bonusRefund',
    method: 'put',
    data: data
  })
}

// 删除分成退款记录
export function delBonusRefund(id) {
  return request({
    url: '/ss/bonusRefund/' + id,
    method: 'delete'
  })
}
