import request from '@/utils/request'

// 查询日期对账列表
export function listReconciliationDate(query) {
  return request({
    url: '/ss/reconciliationDate/list',
    method: 'get',
    params: query
  })
}

// 查询日期对账详细
export function getReconciliationDate(id) {
  return request({
    url: '/ss/reconciliationDate/' + id,
    method: 'get'
  })
}

// 新增日期对账
export function addReconciliationDate(data) {
  return request({
    url: '/ss/reconciliationDate',
    method: 'post',
    data: data
  })
}

// 修改日期对账
export function updateReconciliationDate(data) {
  return request({
    url: '/ss/reconciliationDate',
    method: 'put',
    data: data
  })
}

// 删除日期对账
export function delReconciliationDate(id) {
  return request({
    url: '/ss/reconciliationDate/' + id,
    method: 'delete'
  })
}
