import request from '@/utils/request'

// 查询会员订单列表
export function listVipOrder(query) {
  return request({
    url: '/ss/vipOrder/list',
    method: 'get',
    params: query
  })
}

// 查询会员订单详细
export function getVipOrder(id) {
  return request({
    url: '/ss/vipOrder/' + id,
    method: 'get'
  })
}

// 新增会员订单
export function addVipOrder(data) {
  return request({
    url: '/ss/vipOrder',
    method: 'post',
    data: data
  })
}

// 修改会员订单
export function updateVipOrder(data) {
  return request({
    url: '/ss/vipOrder',
    method: 'put',
    data: data
  })
}

// 删除会员订单
export function delVipOrder(id) {
  return request({
    url: '/ss/vipOrder/' + id,
    method: 'delete'
  })
}
